/* Configuration for SONY ARM GNU/Linux EABI target.
   Copyright (C) 2010
   Free Software Foundation, Inc.

This file is part of GCC.

GCC is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

GCC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GCC; see the file COPYING3.  If not see
<http://www.gnu.org/licenses/>.  */

/* Use the ARM926EJ-S by default.  */
#undef SUBTARGET_CPU_DEFAULT
#define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm926ejs

#undef CC1_SPEC
#define CC1_SPEC							\
  "%{tarmv7a:-march=armv7-a -mfloat-abi=softfp -mfpu=neon;	\
     tthumb2:-mthumb -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16;\
     tthumb2nfp:-mthumb -march=armv7-a}				\
   %{profile:-p}"

#undef SYSROOT_SUFFIX_SPEC
#define SYSROOT_SUFFIX_SPEC						\
  "%{tarmv7a:/armv7a;							\
     tthumb2:/thumb2;							\
     tthumb2nfp:/thumb2nfp;						\
     :/arm}"

#undef SYSROOT_HEADERS_SUFFIX_SPEC
#define SYSROOT_HEADERS_SUFFIX_SPEC					\
  "%{tarmv7a:/armv7a;							\
     tthumb2:/thumb2;							\
     tthumb2nfp:/thumb2nfp;						\
     :/arm}/tool"

/* Translate -tarmv7a appropriately for the assembler. The latter
   options are the relevant part of SUBTARGET_ASM_FLOAT_SPEC in
   elf.h.  */
#undef SUBTARGET_ASM_FLOAT_SPEC
#define SUBTARGET_ASM_FLOAT_SPEC					\
  "%{tarmv7a:-march=armv7-a -mfloat-abi=softfp -mfpu=neon;	\
     tthumb2:-march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16;	\
     tthumb2nfp:-march=armv7-a}					\
   %{mapcs-float:-mfloat}"

